using System;
using System.Collections.Generic;
using System.Text;
using thinktecture.ProxyModel;
using Sample.Contracts;
using thinktecture.ProxyModel.Web.Services;
using System.Diagnostics;

namespace WSClient
{
	class Program
	{
		static void Main(string[] args)
		{

			Program.DoIt();
			Console.ReadLine();
		}

		static void DoIt()
		{
			Stopwatch __stopwatch = new Stopwatch();
			//Proxy initialization goes here

			NetFxFactory.Utils.ConsoleWriter.WriteLineError(String.Format("Proxy creation took {0}ms", __stopwatch.ElapsedMilliseconds));
			NetFxFactory.Utils.ConsoleWriter.WriteLineInfo("Proxy created");
			NetFxFactory.Utils.ConsoleWriter.WriteLineInfo("Retreiving customer details");

			//GetCustomerDetails goes here

			//Writes customer info
			//NetFxFactory.Utils.ConsoleWriter.WriteLineDefault(__customer.ToString());
			NetFxFactory.Utils.ConsoleWriter.WriteLineInfo(String.Format("Credit {0} {1}'s account #:{2} with {3}$", __customer.FirstName, __customer.LastName, __customer.Accounts[0].AccountNumber, 121.17));

			//GetAccountBalance Goes here
			//CreditAccount goes here
			//GetAccountBalance Goes here

			//Display account balance before and after credit
			NetFxFactory.Utils.ConsoleWriter.WriteLineWarning(String.Format("Initial account balance: {0}$ \nPost credit operation account balance: {1}$", __customer.Accounts[0].AccountBalance, __accountBalance));
		}
	}
}

