using System;
using System.Collections.Generic;
using System.Text;

namespace Sample.Contracts
{
	public interface IAccountManager
	{
        ICustomer GetCustomerDetails(ISecuredCredentials customerSecuredCredentials);
        double GetAccountBalance(ISecuredCredentials customerSecuredCredentials, string accountNumber);
        bool CreditAccount(ISecuredCredentials customerSecuredCredentials, string accountNumber, double amount);
	}
}
