using System;
using System.Collections.Generic;
using System.Text;
using thinktecture.ProxyModel;
using Sample.Contracts;
using thinktecture.ProxyModel.Web.Services;
using System.Diagnostics;

namespace WSClient
{
	class Program
	{
		static void Main(string[] args)
		{

			Program.DoIt();
			Console.WriteLine("Press [Enter] to exit");
			Console.ReadLine();
		}

		static void DoIt()
		{
			Stopwatch __stopwatch = new Stopwatch();

			Uri __wsHumanResourceUri = new Uri("http://localhost:1150/WebService/AccountManager.asmx?WSDL");
			__stopwatch.Start();
			//Create ProxyFactory here

			__stopwatch.Stop();

			NetFxFactory.Utils.ConsoleWriter.WriteLineError(String.Format("Proxy creation took {0}ms", __stopwatch.ElapsedMilliseconds));
			NetFxFactory.Utils.ConsoleWriter.WriteLineInfo("Proxy created");
			NetFxFactory.Utils.ConsoleWriter.WriteLineInfo("Retreiving customer details");
      //Call asynchronous method here
		}
	}
}

