using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace Sample.Contracts
{
    [Serializable]
    public class CustomerNotFoundException
        :Exception
    {
        #region Ctors
        public CustomerNotFoundException()
            : base()
        { }
        public CustomerNotFoundException(String message)
            : base(message)
        { }
        public CustomerNotFoundException(String message, Exception innerException)
            : base(message, innerException)
        { }
        protected CustomerNotFoundException(SerializationInfo serializationInfo, StreamingContext context)
            :base(serializationInfo, context)
        { }
        #endregion
    }
}
