using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;

namespace Sample.Contracts
{
	[ServiceContract]
  public interface IAccountManager
	{
    [OperationContract]
		Customer GetCustomerDetails(string customerLogin);
    [OperationContract]
		double GetAccountBalance(string customerLogin, string accountNumber);
    [OperationContract]
		bool CreditAccount(string customerLogin, string accountNumber, double amount);
	}
}
