using System;
using System.ServiceModel;

namespace WcfService
{


  internal class AccountManagerHost
  {
    internal static ServiceHost myServiceHost = null;

    internal static void StartService(Uri baseAddress)
    {

      // Instantiate new ServiceHost 
      CustomerRepository.LoadCustomers();
      myServiceHost = new ServiceHost(typeof(AccountManager), baseAddress);

      myServiceHost.Open();
    }

    internal static void StopService()
    {
      // Call StopService from your shutdown logic (i.e. dispose method)
      if (myServiceHost.State != CommunicationState.Closed)
        myServiceHost.Close();
    }
  }
}

