using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace PurpleMediaCenter
{
  public sealed class MovieKeyedCollectionByTitle : KeyedCollection<string, Movie>
  {
    #region methods

    protected override string GetKeyForItem(Movie item)
    {
      return MovieKeyedCollectionByTitle.GetKey(item);
    }
    public Movie[] ToArray()
    {
      Movie[] __array = new Movie[this.Items.Count];
      this.CopyTo(__array, 0);
      return __array;
    }
    public static string GetKey(Movie item)
    {
      return item.Title;
    }

    #endregion
  }
}
