#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace thinktecture.ProxyModel
{
  public sealed class CommunicationPlatformNotFoundException : ApplicationException
  {
    #region ctors

    public CommunicationPlatformNotFoundException(Type contractType)
      : base(string.Format("No communication platform is associated with this specified contract type:{0}", contractType.FullName))
    {
    }
    public CommunicationPlatformNotFoundException(Type contractType, Uri uri)
      : base(string.Format("No communication platform is associated with this specified contract type:{0}{1}", contractType.FullName, (uri == null ? "." : string.Format(" and this specified uri:{0}.",uri.AbsoluteUri))))
    {
    }

    #endregion
    
  }
}
