#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace thinktecture.ProxyModel
{
  /// <summary>
  /// The exception that is thrown when the uri associated with a service has a scheme name not supported by the <see cref="ProxyModel.ProxyFactory"/> class. 
  /// </summary>
  public class UriSchemeNotSupportedException : ApplicationException
  {
    #region ctors

    /// <summary>
    /// Initializes a new instance of the <see cref="UriSchemeNotSupportedException"/> class. 
    /// </summary>
    public UriSchemeNotSupportedException(Uri uri):base(uri.ToString())
    {
    }

    #endregion
  }
}
