#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.Web.Services.Protocols;
using System.Net.Cache;

using thinktecture.ProxyModel.Web.Services;

namespace thinktecture.ProxyModel
{
  public static class WebServicesPropertyMetadata
  {
    #region fields

    // HACK : Theses properties must be setted from the relevant interface : ISoapHttpClientProtocol...
    //public static readonly DependencyProperty ProxyProperty = DependencyProperty.Register("Proxy", typeof(IWebProxy), typeof(WebServicesCommunicationPlatform));
    //public static readonly DependencyProperty SoapVersionProperty = DependencyProperty.Register("SoapVersion", typeof(SoapProtocolVersion), typeof(WebServicesCommunicationPlatform));
    //public static readonly DependencyProperty TimeoutProperty = DependencyProperty.Register("Timeout", typeof(int), typeof(WebServicesCommunicationPlatform));
    //public static readonly DependencyProperty CredentialsProperty = DependencyProperty.Register("Credentials", typeof(ICredentials), typeof(WebServicesCommunicationPlatform));
    public static readonly DependencyProperty CachePolicyProperty = DependencyProperty.Register("CachePolicy", typeof(CachePolicy), typeof(WebServicesCommunicationPlatform), CachePolicy.CheckWsdlForInvalidation);
    public static readonly DependencyProperty ProtocolNameProperty = DependencyProperty.Register("ProtocolName", typeof(string), typeof(WebServicesCommunicationPlatform), ProtocolNames.SOAP);
    public static readonly DependencyProperty CredentialsProperty = DependencyProperty.Register("Credentials", typeof(ICredentials), typeof(WebServicesCommunicationPlatform));
    public static readonly DependencyProperty ProxyProperty = DependencyProperty.Register("Proxy", typeof(IWebProxy), typeof(WebServicesCommunicationPlatform));

    #endregion
  }
}
