using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Contracts1
{
  [XmlRoot(Namespace = "urn:Contracts1")]
  public class Contact : Contracts2.Person
  {
    #region fields

    private string _phoneNumber;
    private DateTime _lastModifiedAt;

    #endregion
    #region ctors

    public Contact()
    {

    }
    public Contact(string firstName, string lastName, string phoneNumber)
      : base(firstName, lastName)
    {
      _phoneNumber = phoneNumber;
    }
   
    #endregion
    #region props

    public string PhoneNumber
    {
      get { return _phoneNumber; }
      set { _phoneNumber = value; }
    }
    public DateTime LastModifiedAt
    {
      get { return _lastModifiedAt; }
      set { _lastModifiedAt = value; }
    }

    #endregion
  }
  public interface IComplexTypesDistributedOnMultipleLibraries
  {
    Contact GetContact(string firstName, string lastName);
    Contracts2.Contact GetContact2(Contracts2.Person person);
  }
}
