using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Principal;
using System.Threading;

namespace Contracts
{
  public class Catalog : MarshalByRefObject, ICatalog
  {
    #region methods

    public IItem GetItem(string reference)
    {
      Console.WriteLine("Catalog.GetItem(reference:{0})", reference);
      WindowsIdentity identity = Thread.CurrentPrincipal.Identity as WindowsIdentity;
      if (identity != null && identity.IsAuthenticated)
      {
        Console.WriteLine("Thread identity on the server: {0}", identity.Name);
      }
      return new Item(string.Format("uuid:{0}",reference.ToLowerInvariant()));
    }

    #endregion
  }
}
