using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Principal;
using System.Threading;

namespace Contracts
{
  public class Inventory : MarshalByRefObject, IInventory
  {
    #region ctors

    public Inventory()
    {

    }

    #endregion
    #region methods

    public int CurrentQuantityInStock(string itemId)
    {
      if (itemId == null)
      {
        throw new ArgumentNullException("itemId");
      }
      Console.WriteLine("Inventory.CurrentQuantityInStock(itemId:{0})", itemId);
      return itemId.Length;
    }
    public void TakeStock(IOrder order)
    {
      if (order == null)
      {
        throw new ArgumentNullException("order");
      }
      Console.WriteLine("Inventory.TakeStock(order:{0})", order.OrderId);
    }

    #endregion
  }
}
