using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Contracts;
using thinktecture.ProxyModel;

public partial class _Default : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {

  }
  protected void _getPhoneNumberBtt_Click(object sender, EventArgs e)
  {
    Person __person = new Person();
    __person.FirstName = _firstNameTxtBx.Text;
    __person.LastName = _lastNameTxtBx.Text;

    ProxyFactory<IPhoneBook> __proxyFactoryPhoneBook = new ProxyFactory<IPhoneBook>();
    IPhoneBook __phoneBook = __proxyFactoryPhoneBook.CreateProxy();
    _phoneNumberLbl.Text = __phoneBook.GetPhoneNumber(__person);
  }
  protected void _getUuidBtt_Click(object sender, EventArgs e)
  {
    ProxyFactory<ICatalog> __proxyFactoryCatalog = new ProxyFactory<ICatalog>();
    ICatalog __catalog = __proxyFactoryCatalog.CreateProxy();
    IItem __item = __catalog.GetItem(_referenceTxtBx.Text);
    _uuidLbl.Text = __item.Id;
  }
  protected void _getQuantityBtt_Click(object sender, EventArgs e)
  {
    ProxyFactory<IInventory> __proxyFactoryInventory = new ProxyFactory<IInventory>();
    IInventory __inventory = __proxyFactoryInventory.CreateProxy();
    _quantityLbl.Text = __inventory.CurrentQuantityInStock(_refTxtBx.Text).ToString();
  }
}
