﻿using System;
using System.Collections.Generic;
using System.Web.Services;
using System.Xml.Serialization;

namespace StockServiceLibrary
{
    //
    // IStockService defines the service contract using the various System.Web.Services attributes.
    // Notice the WS-I Basic Profile 1.1 conformance claim, which will be emitted in the WSDL.
    //
    [WebServiceBinding(
        Name = "StockService",
        Namespace = "http://stockservice.contoso.com/wse/samples",
        ConformsTo = WsiProfiles.BasicProfile1_1,
        EmitConformanceClaims = true)]
    public interface IStockService
    {
        // Notice the use of generics in the method signature
      [WebMethod]
      StockQuote[] GetStockQuotes(string[] symbols);
        //[return: XmlArray("StockQuotes")]
        //List<StockQuote> GetStockQuotes(
        //    [XmlArray("Symbols"), XmlArrayItem("Symbol")]List<string> symbols);
      

        [WebMethod]
        byte[] GetChart(string symbol);
    }
}
