using System;
using System.Collections.Generic;
using System.Text;

namespace PurpleMediaCenter
{
  public interface IMovieFinder
  {
    Movie[] GetMoviesByActor(Person actor);
    Movie[] GetMoviesByDirector(Person director);
    Movie[] GetMoviesByTitle(string title);
    Movie[] GetMoviesByDirectorFor(Person director, int[] years);
    Person[] WereDirectedBy(Person director);
  }
}
