using System;
using System.Collections.Generic;
using System.Text;

namespace PurpleMediaCenter
{
  [Serializable]
  public class Person : IPerson
  {
    #region fields

    private string _firstName;
    private string _lastName;
    private Genre _genre;

    #endregion
    #region ctors

    public Person()
    {

    }
    public Person(string firstName, string lastName, Genre genre)
    {
      _firstName = firstName;
      _lastName = lastName;
      _genre = genre;
    }
    
    #endregion
    #region props

    public Genre Genre
    {
      get { return _genre; }
      set { _genre = value; }
    }
    public string FirstName
    {
      get { return _firstName; }
      set { _firstName = value; }
    }
    public string LastName
    {
      get { return _lastName; }
      set { _lastName = value; }
    }

    #endregion
  }
}
