#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Text;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace thinktecture.ProxyModel
{
  internal class CommunicationPlatformKeyedCollection : KeyedCollection<CommunicationTechnology, BaseCommunicationPlatform>
  {
    #region methods

    protected override CommunicationTechnology GetKeyForItem(BaseCommunicationPlatform item)
    {
      return item.CommunicationTechnology;
    }

    #endregion
  }
}
