#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace thinktecture.ProxyModel
{
  [Serializable]
  public class ProxyTypeInstantiationException : Exception
  {
    #region ctors

    /// <summary>
    /// Creates a new <see cref="TemporaryCacheException"/> instance.
    /// </summary>
    public ProxyTypeInstantiationException()
    {
    }

    /// <summary>
    /// Creates a new <see cref="TemporaryCacheException"/> instance.
    /// </summary>
    /// <param name="message">Message.</param>
    public ProxyTypeInstantiationException(string message)
      : base(message)
    {
    }

    /// <summary>
    /// Creates a new <see cref="TemporaryCacheException"/> instance.
    /// </summary>
    /// <param name="message">Message.</param>
    /// <param name="inner">Inner.</param>
    public ProxyTypeInstantiationException(string message, Exception inner)
      : base(message, inner)
    {
    }

    /// <summary>
    /// Creates a new <see cref="TemporaryCacheException"/> instance.
    /// </summary>
    /// <param name="serializationInfo">Serialization info.</param>
    /// <param name="serializationContext">Serialization context.</param>
    protected ProxyTypeInstantiationException(SerializationInfo serializationInfo, StreamingContext serializationContext)
      : base(serializationInfo, serializationContext)
    { }

    #endregion
  }
}
