#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace thinktecture.ProxyModel
{
  /// <summary>
  /// Specifies the uri scheme name supported by the <see cref="ProxyFactory"/> class.
  /// </summary>
  internal enum UriScheme
  {
    /// <summary>
    /// The resource is accessed through TCP.
    /// </summary>
    tcp,
    /// <summary>
    /// The resource is accessed through HTTP.
    /// </summary>
    http,
    /// <summary>
    /// The resource is accessed through SSL-encoded HTTP.
    /// </summary>
    https,
  }
}
