#region (c) 2002-2006 by thinktecture
// **********************************************************************
//
//  2002-2006 by thinktecture, Ingo Rammer and Christian Weyer. All rights reserved.
//
// This copy of thinktecture is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// Christian Weyer (christian.weyer@thinktecture.com)
//
// **********************************************************************
#endregion
#region (c) 2006 by netfxfactory.org
// **********************************************************************
//
//  2006 by netfxfactory.org. All rights reserved.
//
// This copy is licensed to you under the terms described in the
// License.txt file included in this distribution.
//
// Author: 
// pascal.recchia@netfxfactory.org
// anthony.guerot@netfxfactory.org
// **********************************************************************
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace thinktecture.ProxyModel.Web.Services
{
  /// <summary>
  /// Lists the protocol names which are supported by default.
  /// </summary>
  public static class ProtocolNames
  {
    #region consts

    /// <summary>
    /// SOAP 1.0, SOAP 1.1
    /// </summary>
    public const string SOAP = "Soap";
    /// <summary>
    /// SOAP 1.2
    /// </summary>
    public const string SOAP12 = "Soap12";
    ///// <summary>
    ///// Http Post
    ///// </summary>
    //public const string HTTPPOST = "HttpPost";
    ///// <summary>
    ///// Http Get
    ///// </summary>
    //public const string HTTPGET = "HttpGet";
    ///// <summary>
    ///// Http SOAP
    ///// </summary>
    //public const string HTTPSOAP = "HttpSoap";
    
    #endregion
  }
}
