using System;
using System.Collections.Generic;
using System.Text;
using thinktecture.ProxyModel;
using thinktecture.ProxyModel.QuickStart;
using System.Net;

namespace IntegratedWindowsAuthenticationClient
{
  class Program
  {
    static void Main(string[] args)
    {
      ProxyFactory<IService> __serviceFactory = new ProxyFactory<IService>("MyService");
      ICredentials __credentials = new NetworkCredential("username", "password");
      __serviceFactory.SetPropertyValue(WebServicesPropertyMetadata.CredentialsProperty, __credentials);
      IService __service = __serviceFactory.CreateProxy();
      string __text = __service.HelloWorld();
      Console.WriteLine("Web Service called successfully");
      Console.WriteLine("Press any key to exit!");
      Console.ReadLine();
    }
  }
}
