using System;
using System.Collections.Generic;
using System.Text;
using Contracts;
using thinktecture.ProxyModel;

namespace Client
{
  class Program
  {
    static void Main(string[] args)
    {
      Person __person = new Person();
      __person.FirstName = "Serge";
      __person.LastName = "BETSEN";

      ProxyFactory<IPhoneBook> __proxyFactoryPhoneBook = new ProxyFactory<IPhoneBook>();
      IPhoneBook __phoneBook = __proxyFactoryPhoneBook.CreateProxy();
      string __phoneNumber = __phoneBook.GetPhoneNumber(__person);

      ProxyFactory<ICatalog> __proxyFactoryCatalog = new ProxyFactory<ICatalog>();
      ICatalog __catalog = __proxyFactoryCatalog.CreateProxy();
      IItem __item = __catalog.GetItem("8-24968-22991-0");

      ProxyFactory<IInventory> __proxyFactoryInventory = new ProxyFactory<IInventory>();
      IInventory __inventory = __proxyFactoryInventory.CreateProxy();
      int __quantity = __inventory.CurrentQuantityInStock("8-24968-22991-0");


      //object __b0 = System.Runtime.Remoting.RemotingConfiguration.IsWellKnownClientType(typeof(IPhoneBook));
      //object __b1 = System.Runtime.Remoting.RemotingConfiguration.IsRemotelyActivatedClientType(typeof(IPhoneBook));

      //object __b2 = System.Runtime.Remoting.RemotingConfiguration.IsWellKnownClientType(typeof(ICatalog));
      //object __b3 = System.Runtime.Remoting.RemotingConfiguration.IsRemotelyActivatedClientType(typeof(Catalog));

      //List<System.Runtime.Remoting.ActivatedClientTypeEntry>  _activatedClientTypeEntries = new List<System.Runtime.Remoting.ActivatedClientTypeEntry>(System.Runtime.Remoting.RemotingConfiguration.GetRegisteredActivatedClientTypes());
      //System.Runtime.Remoting.ActivatedClientTypeEntry activatedClientTypeEntry = _activatedClientTypeEntries.Find(delegate(System.Runtime.Remoting.ActivatedClientTypeEntry item) { return (item.ObjectType.GetInterface(typeof(ICatalog).FullName, false) != null); });

      Console.WriteLine("Press any key to exit!");
      Console.ReadLine();
    }
  }
}
