using System;
using System.Collections.Generic;
using System.Text;

namespace Contracts
{
  [Serializable]
  public class Person : IPerson
  {
    #region fields

    private string _firstName;
    private string _lastName;
    private string _comment;

    #endregion
    #region ctors

    public Person()
    {

    }
    public Person(string firstName, string lastName)
    {
      _firstName = firstName;
      _lastName = lastName;
    }
    
    #endregion
    #region props

    public string Comment
    {
      get { return _comment; }
      set { _comment = value; }
    }
    public string FirstName
    {
      get { return _firstName; }
      set { _firstName = value; }
    }
    public string LastName
    {
      get { return _lastName; }
      set { _lastName = value; }
    }

    #endregion
  }
}
