using System;
using System.Collections.Generic;
using System.Text;

namespace Contracts
{
  public class PhoneBook : MarshalByRefObject, IPhoneBook
  {
    #region methods

    public string GetPhoneNumber(IPerson person)
    {
      Console.WriteLine("PhoneBook.GetPhoneNumber(person:FirstName{0}:LastName:{1})",person.FirstName, person.LastName);
      person.Comment = "PhoneBook:Remote:Action:GetPhoneNumber";
      return "+33 (0) 825 827 829";
    }

    #endregion
  }
}
